+1-888-365-2779
Try Now
More in this section

Forums / General Discussions / Dependencies

Dependencies

4 posts, 0 answered
  1. Markus
    Markus avatar
    2763 posts
    Registered:
    25 Nov 2005
    30 Dec 2010
    Link to this post
    Hi there

    I started this new thread because the old one was getting to much of topic from the title.

    My problem is that I still cant get SF RC running in my shared hosting evirement because some dependencies are always missing.

    -------------------------
    Question Nr. 1

    Anyone has a link off all assamblies that are installed with a standard asp.net 4.0 installation. I want to compare it to what my hoster has to find out if SF should run out of the box on or if additional assamblies have to be installed every time.

    PresentationFramework, Version 4

    Does not seem to be installed be default with my hoster.

    1.1. Link for default assemblies in .net 4.0 installation
    1.2. Is system.speech for example a standard assambly in the .net 4.0 installation?
    1.3 Is PresentationFramework an expected .net 4.0 installation?

    --------------------
    Question Nr. 2

    I would expect all RC to be depending on 4.0 versions. Now using http://checkasm.booring.net/ I checked the Telerik.Windows.RadUploadHandler Version 2010.3.1110.35 and it seems it depends on
    mscorlib, version 2.0
    System.web version 2.0
    System 2.0

    Now here come the questions

    2.1. If these versions are only in the 4.0 available on server would it fail
    2.2. Would it be normal to have 4.0 and 2.0 on an installation with a shared hoster?
    2.3. Why cant they depend on the 4.0 suff

    --------------------

    Once again. SF might be used by small business who relay on shared hosing for cost reasons. So an installation should not only be 'primate save' in terms of the SF manager but alos on deplayment.

    So the less dependencies the better I would assume. So since SF 4.0 will only run on .net 4.0 why the dependencies on 2.0 assamblies.

    Looking forward to your answers.

    ----------------------

    I sure hope to get SF finally running with my hoster!!!!

    Markus

  2. Radoslav Georgiev
    Radoslav Georgiev avatar
    3370 posts
    Registered:
    01 Feb 2016
    04 Jan 2011
    Link to this post
    Hi Markus Berchtold,

    Thank you for using our services.

    1) The PresentationFramework assembly is part of WPF platform. This part of .NET 4.0 however you should not need this assembly. This assembly is for WPF applications development not for web development.

    2) Sitefinity targets the .NET 4.0 runtime and this is what your hoster must fully support in order to be able to run a Sitefinity website. The reference to mscorlib 2.0 in Telerik.Sitefinity is coming from the AjaxControlToolkit which built for .NET 2.0. We are using some of the toolkit controls in the back-end. The Telerik.Windows.RadUploadHandler version which is used in Sitefinity is a .NET 3.5 version. We are using a slightly older version of the Silverlight controls, not the latest ones. The .NET 4.0 build of this assembly was released recently and we have not yet had the chance to upgrade the controls.

    Dependent assemblies which are not part of the .NET 4.0 installation are included in the bin folder of Sitefinity, so you would not need to additionally add them.

    All the best,
    Radoslav Georgiev
    the Telerik team
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  3. Markus
    Markus avatar
    2763 posts
    Registered:
    25 Nov 2005
    04 Jan 2011
    Link to this post
    Dear Radoslav

    Thanks for your feedback. You told me that I would not need the PresentationFramework howerver in this screenshot
    http://www.sitefinity.com/ClientsFiles/240257_dependencies_02.png it seems that 4.0.1030.0 depends on it.

    Well is the tool CheckASM wrong and it does not depend on it or is it here by error.

    If it is left there by error it would be needed on the server not?

    When can one expect a version that has only the realy needed dependencies?

    Markus
  4. Radoslav Georgiev
    Radoslav Georgiev avatar
    3370 posts
    Registered:
    01 Feb 2016
    04 Jan 2011
    Link to this post
    Hi Markus,

    The mistake is mine.

    PresentationFramework.dll is needed by Sitefinity 4.0 and this dll is part of the full .NET 4.0 install. This dll is used by Silverlight also. So you should have this one in GAC also.

    As for the Telerik.Windows.RadUploadHandler - we are going to upgrade this DLL so that it uses the .NET 4.0 version. We have also already upgraded the version of the AjaxControlToolkit assembly to use a .NET 4.0 build.

    Regards,
    Radoslav Georgiev
    the Telerik team
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
4 posts, 0 answered